<script setup lang="ts">
import { useProductStore } from '@/stores/product';

import DialogAddProduct from './DialogAddProduct.vue';
import DialogDelete from './DialogDelete.vue';
import { ref } from 'vue';
import type { Product } from '@/types/Product';

const productStore = useProductStore()
const  headers =[
          {
            key: 'id',
            sortable: false,
            title: 'ProuductId',
          },
          { key: 'name', title: 'Name' },
          { key: 'category', title: 'Category' },
          { key: 'type', title: 'Type' },
          { key: 'gsize', title: 'Size' },
          { key: 'price', title: 'Price' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
const search = ref('')
</script>
<template>
    <v-data-table 
            :headers="headers"
            :items="productStore.products"
            :search="search"
            :items-per-page="8"
            style="background-color: #E7D0B9;"
            >

            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="productStore.editProduct(item)"
      >
        mdi-pencil
      </v-icon>
      <v-icon
        size="small"
        @click="productStore.openDialogDelete(item)"
      >
        mdi-delete
      </v-icon>
    </template>
</v-data-table>
  <DialogAddProduct></DialogAddProduct>
  <DialogDelete></DialogDelete>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
  background-color: #D2BAA0;
}

tbody tr:nth-of-type(odd) {
  background-color: #E7D0B9;
}

thead {
  background-color: #BC9B6B;
  color: rgb(0, 0, 0);
  font-weight: bold;
}


.theme--light.v-data-table thead tr th {
  color: white;
}
</style>